Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_fast_comp_dict.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_fast_comp_dict.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_fast_comp_dict.c	(revision 25147)
@@ -91,5 +91,5 @@
 
 
-static u_long mem_for_comp_dict (char *filename);
+static mg_u_long mem_for_comp_dict (char *filename);
 static void load_comp_dict (char *filename);
 static void save_fast_dict (char *filename);
@@ -100,5 +100,5 @@
 static void *cur;
 static u_char *fixup;
-static u_long mem, fixup_mem;
+static uintptr_t mem, fixup_mem;
 
 int main (int argc, char **argv)
@@ -142,5 +142,5 @@
   Message ("Actual memory for fast_dict %u", (char *) cur - (char *) buffer);
 
-  if ((u_long) cur > (u_long) buffer + mem)
+  if ((uintptr_t) cur > (uintptr_t) buffer + mem)
     FatalError (1, "The buffer was not big enough for the dictionary");
 
@@ -211,20 +211,20 @@
 unfixup_buffer ()
 {
-  u_long *p;
-  for (p = buffer; (u_long) p < (u_long) cur; p++)
+  uintptr_t *p;
+  for (p = buffer; (uintptr_t) p < (uintptr_t) cur; p++)
     {
       if (IS_FIXUP (p))
-	*p = *p - (u_long) buffer;
-    }
-}
-
-
-
-
-static u_long 
+	*p = *p - (uintptr_t) buffer;
+    }
+}
+
+
+
+
+static mg_u_long 
 mem_for_aux_dict (compression_dict_header * cdh, char *filename)
 {
   int i;
-  u_long mem = sizeof (auxiliary_dict);
+  mg_u_long mem = sizeof (auxiliary_dict);
   FILE *aux;
 
@@ -249,10 +249,10 @@
 
 
-static u_long 
+static mg_u_long 
 mem_for_words (FILE * dict, compression_dict_header * cdh,
 	       comp_frags_header * cfh)
 {
-  u_long mem = 0;
-  u_long i, lookback;
+  mg_u_long mem = 0;
+  mg_u_long i, lookback;
   int ptrs_reqd = 0;
   int mem_reqd = 0;
@@ -282,8 +282,8 @@
 
 
-static u_long 
+static mg_u_long 
 mem_for_comp_dict (char *filename)
 {
-  u_long mem = sizeof (compression_dict);
+  mg_u_long mem = sizeof (compression_dict);
   compression_dict_header cdh;
   comp_frags_header cfh;
@@ -343,6 +343,6 @@
 	  if (hd.clens)
 	    Xfree (hd.clens);
-	  mem += hd.num_codes * sizeof (unsigned long);
-	  mem += (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+	  mem += hd.num_codes * sizeof (mg_u_long);
+	  mem += (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 
 	  mem += sizeof (hd);
@@ -350,6 +350,6 @@
 	  if (hd.clens)
 	    Xfree (hd.clens);
-	  mem += hd.num_codes * sizeof (unsigned long);
-	  mem += (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+	  mem += hd.num_codes * sizeof (mg_u_long);
+	  mem += (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 	}
 	break;
@@ -377,6 +377,6 @@
 	      if (hd.clens)
 		Xfree (hd.clens);
-	      mem += hd.num_codes * sizeof (unsigned long);
-	      mem += (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+	      mem += hd.num_codes * sizeof (mg_u_long);
+	      mem += (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 
 	      mem += sizeof (hd);
@@ -384,6 +384,6 @@
 	      if (hd.clens)
 		Xfree (hd.clens);
-	      mem += hd.num_codes * sizeof (unsigned long);
-	      mem += (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+	      mem += hd.num_codes * sizeof (mg_u_long);
+	      mem += (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 	      break;
 	    case MG_NOVEL_BINARY:
@@ -413,11 +413,11 @@
 
 void *
-getmem (u_long size, int align)
+getmem (mg_u_long size, int align)
 {
   void *res;
-  cur = (void *) (((u_long) cur + (align - 1)) & (~(align - 1)));
+  cur = (void *) (((uintptr_t) cur + (align - 1)) & (~(align - 1)));
   res = cur;
   cur = (char *) cur + size;
-  if ((long) cur > (long) buffer + mem)
+  if ((intptr_t) cur > (intptr_t) buffer + mem)
     FatalError (1, "The buffer was not big enough for the dictionary");
   return res;
@@ -592,23 +592,23 @@
 
 
-static unsigned long **
-Generate_Fast_Huffman_Vals (huff_data * data, u_long * mem)
+static mg_u_long **
+Generate_Fast_Huffman_Vals (huff_data * data, mg_u_long * mem)
 {
   int i;
-  unsigned long *fcode[MAX_HUFFCODE_LEN + 1];
-  unsigned long **values;
-  unsigned long *vals;
+  mg_u_long *fcode[MAX_HUFFCODE_LEN + 1];
+  mg_u_long **values;
+  mg_u_long *vals;
 
   if (!data)
     return (NULL);
-  vals = getmem (data->num_codes * sizeof (*vals), sizeof (long *));
-  values = getmem ((MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *),
-		   sizeof (long *));
-
-  bzero ((char *) values, (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *));
+  vals = getmem (data->num_codes * sizeof (*vals), sizeof (mg_s_long *));
+  values = getmem ((MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *),
+		   sizeof (mg_s_long *));
+
+  bzero ((char *) values, (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *));
 
   if (mem)
     *mem += data->num_codes * sizeof (*vals) +
-      (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+      (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 
   fcode[0] = values[0] = &vals[0];
@@ -661,5 +661,5 @@
 	{
 	  huff_data *hd;
-	  u_long **vals;
+	  mg_u_long **vals;
 	  if (cd->cdh.num_words[which])
 	    {
@@ -702,5 +702,5 @@
 	{
 	  huff_data *hd;
-	  u_long **vals;
+	  mg_u_long **vals;
 	  if (cd->cdh.num_words[which])
 	    {
@@ -776,6 +776,6 @@
 
   {
-    u_long *p;
-    for (p = buffer; (u_long) p < (u_long) cur; p++)
+    uintptr_t *p;
+    for (p = buffer; (uintptr_t) p < (uintptr_t) cur; p++)
       {
 	if (IS_FIXUP (p))
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.c	(revision 25147)
@@ -110,7 +110,7 @@
 FILE *
 open_named_file (const char *name, const char *mode,
-		 u_long magic_num, int err_mode)
-{
-  unsigned long magic;
+		 mg_u_long magic_num, int err_mode)
+{
+  mg_u_long magic;
   FILE *f = NULL;
   char *err;
@@ -172,5 +172,5 @@
 FILE *
 open_file (const char *name, const char *suffix, const char *mode,
-	   u_long magic_num, int err_mode)
+	   mg_u_long magic_num, int err_mode)
 {
   char path[512];
@@ -200,5 +200,5 @@
 FILE *
 create_named_file (const char *name, const char *mode,
-		   u_long magic_num, int err_mode)
+		   mg_u_long magic_num, int err_mode)
 {
   FILE *f = NULL;
@@ -252,5 +252,5 @@
 FILE *
 create_file (const char *name, const char *suffix, const char *mode,
-	     u_long magic_num, int err_mode)
+	     mg_u_long magic_num, int err_mode)
 {
   char path[512];
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_files.h	(revision 25147)
@@ -29,5 +29,5 @@
 /* Magic numbers for the different types of files */
 
-#define GEN_MAGIC(a,b,c,d) ((unsigned long)(((a)<<24) + ((b)<<16) + \
+#define GEN_MAGIC(a,b,c,d) ((mg_u_long)(((a)<<24) + ((b)<<16) + \
 					    ((c)<<8) + (d)))
 
@@ -55,5 +55,5 @@
 #define MAGIC_STEM_3            GEN_MAGIC('M','G','s','3')
 
-#define IS_MAGIC(a) ((((u_long)(a)) & 0xffff0000) == MAGIC_XXXX)
+#define IS_MAGIC(a) ((((mg_u_long)(a)) & 0xffff0000) == MAGIC_XXXX)
 
 
@@ -268,5 +268,5 @@
    an error message.   */
 FILE *open_named_file (const char *name, const char *mode,
-		       u_long magic_num, int err_mode);
+		       mg_u_long magic_num, int err_mode);
 
 
@@ -286,5 +286,5 @@
    an error message.   */
 FILE *open_file (const char *name, const char *suffix, const char *mode,
-		 u_long magic_num, int err_mode);
+		 mg_u_long magic_num, int err_mode);
 
 
@@ -305,5 +305,5 @@
    an error message.   */
 FILE *create_named_file (const char *name, const char *mode,
-			 u_long magic_num, int err_mode);
+			 mg_u_long magic_num, int err_mode);
 
 
@@ -322,8 +322,8 @@
    an error message.   */
 FILE *create_file (const char *name, const char *suffix, const char *mode,
-		   u_long magic_num, int err_mode);
-
-
-
-
-#endif
+		   mg_u_long magic_num, int err_mode);
+
+
+
+
+#endif
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dict.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dict.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dict.c	(revision 25147)
@@ -115,6 +115,6 @@
 {
   FILE *id, *idb, *tmp, *ii;
-  unsigned long i, pos, num, First_word, invf_ptr, invf_len;
-  unsigned long last_ptr = 0;
+  mg_u_long i, pos, num, First_word, invf_ptr, invf_len;
+  mg_u_long last_ptr = 0;
   char *FName;
   struct invf_dict_header idh;
@@ -179,6 +179,6 @@
   for (i = 0; i < idh.dict_size; i++)
     {
-      register unsigned long extra, copy, suff;
-      unsigned long wcnt, fcnt;
+      register mg_u_long extra, copy, suff;
+      mg_u_long wcnt, fcnt;
 
       /* build a new word on top of prev */
@@ -304,5 +304,5 @@
 
   rewind (tmp);
-  sdh.blocks_start = sdh.index_chars + sizeof (u_long) + sizeof (sdh) +
+  sdh.blocks_start = sdh.index_chars + sizeof (mg_u_long) + sizeof (sdh) +
     sdh.num_blocks * sizeof (pos);
   if (force)
@@ -323,5 +323,5 @@
 
   /* skip over the magic number */
-  fseek (idb, sizeof (u_long), 0);
+  fseek (idb, sizeof (mg_u_long), 0);
 
   /* [RPAP - Jan 97: Endian Ordering] */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dump.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dump.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_dump.c	(revision 25147)
@@ -36,5 +36,5 @@
 #include "invf.h"
 
-extern unsigned long S_btg;
+extern mg_u_long S_btg;
 
 /*
@@ -124,5 +124,5 @@
 process_files (char *name)
 {
-  unsigned long N, Nstatic, k;
+  mg_u_long N, Nstatic, k;
   FILE *dict;
   FILE *invf;
@@ -172,10 +172,10 @@
     }
   else
-    printf ("%ld %ld\n", N, ifh.no_of_words);
+    printf ("%d %d\n", N, ifh.no_of_words);
   for (k = 0; k < ifh.no_of_words; k++)
     {
       int i, blk, doc;
-      register unsigned long suff, prefix;
-      unsigned long fcnt, wcnt;
+      register mg_u_long suff, prefix;
+      mg_u_long fcnt, wcnt;
       char term[MAXSTEMLEN + 1];
 
@@ -196,7 +196,7 @@
 	{
 	  if (term_dump)
-	    printf ("%ld    \"%s\"\n", fcnt, term);
+	    printf ("%d    \"%s\"\n", fcnt, term);
 	  else
-	    printf ("%ld\n", fcnt);
+	    printf ("%d\n", fcnt);
 	}
       blk = BIO_Bblock_Init (Nstatic, fcnt);
@@ -215,8 +215,14 @@
 	      GAMMA_DECODE (count);
 	      if (word_counts)
+		{
 		if (binary)
+		  {
 		  fwrite ((char *) &count, sizeof (count), 1, stdout);
+		  }
 		else
+		  {
 		  printf (" %d", count);
+		  }
+		}
 	    }
 	  if (!binary)
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_merge.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_merge.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_merge.c	(revision 25147)
@@ -58,16 +58,16 @@
     struct invf_dict_header idh;
     struct invf_file_header ifh;
-    u_long nDocs;
+    mg_u_long nDocs;
 
     /* Lexicon processing variables */
-    u_long fcnt, wcnt;
+    mg_u_long fcnt, wcnt;
     int suff, pref;
     unsigned char term[MAXSTEMLEN + 1];
-    u_long term_count;
+    mg_u_long term_count;
     int done;
 
     /* Variables used for merging */
     struct stdio_bitio_state sbs;	/* for bit-based I/O on inverted files */
-    u_long nTerms;		/* = number of invf entries */
+    mg_u_long nTerms;		/* = number of invf entries */
     int *fcntlist;		/* store fcnt values read in from the lexicons */
 
@@ -81,6 +81,6 @@
 
 merge_info m[3];		/*  m[OLD], m[NEW] and m[MERGE] */
-u_long magicsize;		/* how big is magic number? currently always 4 */
-u_long Nstatic;			/* static # of documents in file */
+mg_u_long magicsize;		/* how big is magic number? currently always 4 */
+mg_u_long Nstatic;			/* static # of documents in file */
 
 float *DocWeightBuffer;
@@ -97,9 +97,9 @@
 int fastMerge = 1;		/* True if fast merge selected. Default = true */
 
-u_long oldIdxValue;		/* stores last read value from m[OLD].idx
+mg_u_long oldIdxValue;		/* stores last read value from m[OLD].idx
 				   Used to calculate entry lengths */
-u_long bytes_output;		/* for writing .invf.idx file */
-u_long oldOnlyBits = 0;		/* entries in old only */
-u_long oldMergeBits = 0;	/* entries in old that are merged with 
+mg_u_long bytes_output;		/* for writing .invf.idx file */
+mg_u_long oldOnlyBits = 0;		/* entries in old only */
+mg_u_long oldMergeBits = 0;	/* entries in old that are merged with 
 				   a new entry */
 
@@ -242,5 +242,5 @@
   m[OLD].idx = open_file (m[OLD].fname, INVF_IDX_SUFFIX, "rb",
 			  MAGIC_INVI, MG_ABORT);
-  fread (&oldIdxValue, sizeof (u_long), 1, m[OLD].idx);
+  fread (&oldIdxValue, sizeof (mg_u_long), 1, m[OLD].idx);
   NTOHUL(oldIdxValue);  /* [RPAP - Jan 97: Endian Ordering] */
 
@@ -280,5 +280,5 @@
  *=======================================================================*/
 void 
-procEntry_slow (int tnum, int type, u_long oldN, u_long newN, u_long mergeN)
+procEntry_slow (int tnum, int type, mg_u_long oldN, mg_u_long newN, mg_u_long mergeN)
 /* 
  *  Process an invf entry. 
@@ -295,9 +295,9 @@
   int fcntNEW = m[NEW].fcntlist[tnum];
   int inblk, outblk;
-  u_long inbits = 0, outbits = 0;
+  mg_u_long inbits = 0, outbits = 0;
 
   /* write .invf.idx pointer */
   HTONUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
-  fwrite (&bytes_output, sizeof (u_long), 1, m[MERGE].idx);
+  fwrite (&bytes_output, sizeof (mg_u_long), 1, m[MERGE].idx);
   NTOHUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
 
@@ -383,10 +383,10 @@
  */
 {
-  u_long newIdxValue, len = 0;
+  mg_u_long newIdxValue, len = 0;
 
   /* Calculate IFold entry length in bytes if not NEW type */
   if (type != NEW)		/* read in an index number from m[OLD].idx */
     {
-      fread (&newIdxValue, sizeof (u_long), 1, m[OLD].idx);
+      fread (&newIdxValue, sizeof (mg_u_long), 1, m[OLD].idx);
       NTOHUL(newIdxValue);  /* [RPAP - Jan 97: Endian Ordering] */
       len = newIdxValue - oldIdxValue;
@@ -400,5 +400,5 @@
       /* write .invf.idx pointer */
       HTONUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
-      fwrite (&bytes_output, sizeof (u_long), 1, m[MERGE].idx);
+      fwrite (&bytes_output, sizeof (mg_u_long), 1, m[MERGE].idx);
       NTOHUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
 
@@ -468,6 +468,6 @@
   m[x].term_count = m[x].term_count + 1;
 
-  fread ((char *) &(m[x].fcnt), sizeof (u_long), 1, m[x].dict);
-  fread ((char *) &(m[x].wcnt), sizeof (u_long), 1, m[x].dict);
+  fread ((char *) &(m[x].fcnt), sizeof (mg_u_long), 1, m[x].dict);
+  fread ((char *) &(m[x].wcnt), sizeof (mg_u_long), 1, m[x].dict);
 
   /* [RPAP - Jan 97: Endian Ordering] */
@@ -620,7 +620,7 @@
   /* print some results about terms */
   {
-    fprintf (stderr, "   Terms: OLD = %ld,  NEW = %ld,  MERGE = %ld\n",
+    fprintf (stderr, "   Terms: OLD = %d,  NEW = %d,  MERGE = %d\n",
 	     m[OLD].nTerms, m[NEW].nTerms, m[MERGE].nTerms);
-    fprintf (stderr, "   In OLD only: %ld,  In NEW only: %ld,  BOTH: %ld\n",
+    fprintf (stderr, "   In OLD only: %d,  In NEW only: %d,  BOTH: %d\n",
 	     (m[MERGE].nTerms - m[NEW].nTerms),
 	     (m[MERGE].nTerms - m[OLD].nTerms),
@@ -645,8 +645,8 @@
     /* write final .invf.idx pointer */
     HTONUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
-    fwrite (&bytes_output, sizeof (u_long), 1, m[MERGE].idx);
+    fwrite (&bytes_output, sizeof (mg_u_long), 1, m[MERGE].idx);
     NTOHUL(bytes_output);  /* [RPAP - Jan 97: Endian Ordering] */
 
-    fprintf (stderr, "Old invf: old only bits: %ld, merged bits: %ld\n",
+    fprintf (stderr, "Old invf: old only bits: %d, merged bits: %d\n",
 	     oldOnlyBits, oldMergeBits);
   }
@@ -729,7 +729,7 @@
       if (weightfile)
 	{
-	  u_long i;  /* [RPAP - Jan 97: Endian Ordering] */
-
-	  fprintf (stderr, "writing new weights: Nnew = %ld\n", m[NEW].nDocs);
+	  mg_u_long i;  /* [RPAP - Jan 97: Endian Ordering] */
+
+	  fprintf (stderr, "writing new weights: Nnew = %d\n", m[NEW].nDocs);
 	  fseek (weightfile, 0, 2);	/* end of file */
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_rebuild.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_rebuild.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_invf_rebuild.c	(revision 25147)
@@ -43,5 +43,5 @@
 typedef struct invf_info
   {
-    unsigned long doc_num, count, bits_so_far, count_bits;
+    mg_u_long doc_num, count, bits_so_far, count_bits;
   }
 invf_info;
@@ -200,6 +200,6 @@
 {
   FILE *in, *out, *idx, *odx, *dict;
-  unsigned long magic, outmode, N, in_k, out_k;
-  unsigned long bits_out, bytes_out, i, j;
+  mg_u_long magic, outmode, N, in_k, out_k;
+  mg_u_long bits_out, bytes_out, i, j;
   stdio_bitio_state out_buf, in_buf;
   struct invf_dict_header idh;
@@ -351,10 +351,10 @@
   for (i = 0; i < ifh_in.no_of_words; i++)
     {
-      unsigned long blk, p;
-      unsigned long odn_blk = 0, olen_blk = 0;
-      unsigned long idn_blk = 0, ilen_blk = 0;
-      register unsigned long suff;
-      unsigned long fcnt, wcnt, doc_num, bits_so_far, last_major;
-      unsigned long next_mjr_dn, kd;
+      mg_u_long blk, p;
+      mg_u_long odn_blk = 0, olen_blk = 0;
+      mg_u_long idn_blk = 0, ilen_blk = 0;
+      register mg_u_long suff;
+      mg_u_long fcnt, wcnt, doc_num, bits_so_far, last_major;
+      mg_u_long next_mjr_dn, kd;
       char dummy2[MAXSTEMLEN + 1];
       invf_info *ii;
@@ -380,5 +380,5 @@
 	case 1:
 	  {
-	    unsigned long len;
+	    mg_u_long len;
 	    if (p <= ifh_out.params[0])
 	      out_k = 0;
@@ -396,5 +396,5 @@
 	case 2:
 	  {
-	    unsigned long len;
+	    mg_u_long len;
 	    if (p <= mins)
 	      out_k = 0;
@@ -421,5 +421,5 @@
 	case 1:
 	  {
-	    unsigned long len;
+	    mg_u_long len;
 	    if (p <= ifh_in.params[0])
 	      in_k = 0;
@@ -437,5 +437,5 @@
 	case 2:
 	  {
-	    unsigned long len;
+	    mg_u_long len;
 	    if (p <= ifh_in.params[1])
 	      {
@@ -469,5 +469,5 @@
 	for (j = 0; j < p; j++, kd++)
 	{
-	  unsigned long doc_diff, count = 0;
+	  mg_u_long doc_diff, count = 0;
 	  if (kd == in_k)
 	    kd = 0;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes.c	(revision 25147)
@@ -103,7 +103,7 @@
 #define	TERMRECORD	'\002'
 
-unsigned long buf_size = 3 * 1024 * 1024;	/* 3Mb */
-unsigned long invf_buffer_size = 5 * 1024 * 1024;	/* 5Mb */
-unsigned long ChunkLimit = 0;
+mg_u_long buf_size = 3 * 1024 * 1024;	/* 3Mb */
+mg_u_long invf_buffer_size = 5 * 1024 * 1024;	/* 5Mb */
+mg_u_long ChunkLimit = 0;
 char InvfLevel = 2;
 char SkipSGML = 0;
@@ -117,5 +117,5 @@
 
 static char Passes = 0;
-static unsigned long trace = 0;
+static mg_u_long trace = 0;
 static int Dump = 0;
 static char **files = NULL;
@@ -181,8 +181,8 @@
 #if 0
 static char *
-str_comma (unsigned long u)
+str_comma (mg_u_long u)
 {
   static char buf[20];
-  unsigned long a, b, c, d;
+  mg_u_long a, b, c, d;
   a = u / 1000000000;
   u -= a * 1000000000;
@@ -229,6 +229,6 @@
 
   char *buffer = Xmalloc (buf_size);
-  unsigned long num_docs = 0;
-  unsigned long block_bytes = 0;
+  mg_u_long num_docs = 0;
+  mg_u_long block_bytes = 0;
   register int buf_left = buf_size;
   register char *look_pos = buffer;
@@ -358,5 +358,5 @@
 		  }
 		if (Trace)
-		  fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+		  fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 			   bytes_processed, num_docs,
 			   ElapsedTime (&StartTime, NULL));
@@ -383,10 +383,10 @@
 	      mi = mallinfo ();
 	      block_bytes -= trace;
-	      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs |%7.3f Mb | %s\n",
+	      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs |%7.3f Mb | %s\n",
 		       bytes_processed, num_docs, mi.arena / 1024.0 / 1024.0,
 		       ElapsedTime (&StartTime, NULL));
 #else
 	      block_bytes -= trace;
-	      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+	      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 		       bytes_processed, num_docs,
 		       ElapsedTime (&StartTime, NULL));
@@ -439,9 +439,9 @@
       struct mallinfo mi;
       mi = mallinfo ();
-      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs |%7.3f Mb | %s\n",
+      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs |%7.3f Mb | %s\n",
 	       bytes_processed, num_docs, mi.arena / 1024.0 / 1024.0,
 	       ElapsedTime (&StartTime, NULL));
 #else
-      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 	       bytes_processed, num_docs,
 	       ElapsedTime (&StartTime, NULL));
@@ -563,5 +563,5 @@
 	  break;
 	case 't':
-	  trace = (unsigned long) (atof (optarg) * 1024 * 1024);
+	  trace = (mg_u_long) (atof (optarg) * 1024 * 1024);
 	  break;
 	case 'M':
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.c	(revision 25147)
@@ -57,7 +57,7 @@
 #define	TERMRECORD	'\002'
 
-unsigned long buf_size = 3 * 1024 * 1024;	/* 3Mb */
-unsigned long invf_buffer_size = 5 * 1024 * 1024;	/* 5Mb */
-unsigned long ChunkLimit = 0;
+mg_u_long buf_size = 3 * 1024 * 1024;	/* 3Mb */
+mg_u_long invf_buffer_size = 5 * 1024 * 1024;	/* 5Mb */
+mg_u_long ChunkLimit = 0;
 char InvfLevel = 2;
 char SkipSGML = 0;
@@ -71,9 +71,9 @@
 FILE * Trace;
 char * filename;
-unsigned long num_docs = 0;
-unsigned long block_bytes = 0;
+mg_u_long num_docs = 0;
+mg_u_long block_bytes = 0;
 
 static char Passes = 0;
-static unsigned long trace = 0;
+static mg_u_long trace = 0;
 static int Dump = 0;
 static char **files = NULL;
@@ -193,5 +193,5 @@
 
 /* -b arg to mg_passes */
-void set_buffer_size(long size) {
+void set_buffer_size(mg_s_long size) {
   buf_size = size * 1024;
   if (buf_size <  MIN_BUF) {
@@ -201,5 +201,5 @@
 
 /* -c arg to mg_passes */
-void set_chunk_limit(long chunk_limit) {
+void set_chunk_limit(mg_s_long chunk_limit) {
   ChunkLimit = chunk_limit;
 }
@@ -259,5 +259,5 @@
 /* -t arg to mg_passes */
 void set_trace_point(int tracepos) {
-  trace = (unsigned long) (tracepos * 1024 * 1024);
+  trace = (mg_u_long) (tracepos * 1024 * 1024);
 }
 
@@ -410,5 +410,5 @@
 	      }
 	    if (Trace)
-	      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+	      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 		       bytes_processed, num_docs,
 		       ElapsedTime (&StartTime, NULL));
@@ -435,10 +435,10 @@
 	  mi = mallinfo ();
 	  block_bytes -= trace;
-	  fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs |%7.3f Mb | %s\n",
+	  fprintf (Trace, "%11" ULL_FS " bytes |%7u docs |%7.3f Mb | %s\n",
 		   bytes_processed, num_docs, mi.arena / 1024.0 / 1024.0,
 		   ElapsedTime (&StartTime, NULL));
 #else
 	  block_bytes -= trace;
-	  fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+	  fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 		   bytes_processed, num_docs,
 		   ElapsedTime (&StartTime, NULL));
@@ -492,9 +492,9 @@
       struct mallinfo mi;
       mi = mallinfo ();
-      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs |%7.3f Mb | %s\n",
+      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs |%7.3f Mb | %s\n",
 	       bytes_processed, num_docs, mi.arena / 1024.0 / 1024.0,
 	       ElapsedTime (&StartTime, NULL));
 #else
-      fprintf (Trace, "%11" ULL_FS " bytes |%7lu docs | %s\n",
+      fprintf (Trace, "%11" ULL_FS " bytes |%7u docs | %s\n",
 	       bytes_processed, num_docs,
 	       ElapsedTime (&StartTime, NULL));
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_passes_4jni.h	(revision 25147)
@@ -40,8 +40,8 @@
 
 /* -b arg to mg_passes */
-void set_buffer_size(long size);
+void set_buffer_size(mg_s_long size);
 
 /* -c arg to mg_passes */
-void set_chunk_limit(long chunk_limit);
+void set_chunk_limit(mg_s_long chunk_limit);
 
 /* -C arg to mg_passes */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_perf_hash_build.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_perf_hash_build.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_perf_hash_build.c	(revision 25147)
@@ -116,5 +116,5 @@
 {
   FILE *dict, *hash;
-  unsigned long i;
+  mg_u_long i;
   u_char prev[MAXSTEMLEN + 1];
   struct invf_dict_header idh;
@@ -154,6 +154,6 @@
   for (i = 0; i < idh.dict_size; i++)
     {
-      register unsigned long copy, suff, l;
-      unsigned long wcnt, fcnt;
+      register mg_u_long copy, suff, l;
+      mg_u_long wcnt, fcnt;
 
       /* build a new word on top of prev */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_stem_idx.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_stem_idx.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_stem_idx.c	(revision 25147)
@@ -69,10 +69,10 @@
 
 
-static unsigned long MaxMemInUse = 0;
-static unsigned long MemInUse = 0;
+static mg_u_long MaxMemInUse = 0;
+static mg_u_long MemInUse = 0;
 
 static idx_hash_rec **IdxHashTable;
-static unsigned long IdxHashSize;
-static unsigned long IdxHashUsed;
+static mg_u_long IdxHashSize;
+static mg_u_long IdxHashUsed;
 static u_char *IdxPool;
 static int IdxPoolLeft;
@@ -88,5 +88,5 @@
 int force = 0;
 
-static long lookback = 4;
+static mg_s_long lookback = 4;
 
 static void 
@@ -216,5 +216,5 @@
 ReadStemDictBlk (File * stem_file)
 {
-  unsigned long i;
+  mg_u_long i;
   stemmed_dict *sd;
   u_char *buffer;
@@ -357,5 +357,5 @@
       register unsigned int res;
       int num_indexes;
-      unsigned long *first_word, *last_invf_len;
+      mg_u_long *first_word, *last_invf_len;
       unsigned short *num_words;
       u_char *base;
@@ -368,7 +368,7 @@
 
       /* Move through block header */
-      first_word = (unsigned long *) (sd->buffer);
+      first_word = (mg_u_long *) (sd->buffer);
       NTOHUL(*first_word);  /* [RPAP - Jan 97: Endian Ordering] */
-      last_invf_len = (unsigned long *) (first_word + 1);
+      last_invf_len = (mg_u_long *) (first_word + 1);
       NTOHUL(*last_invf_len);  /* [RPAP - Jan 97: Endian Ordering] */
       num_words = (unsigned short *) (last_invf_len + 1);
@@ -404,7 +404,7 @@
 
 	  /* Skip irrelevant word info */
-	  base += sizeof (u_long);
-	  base += sizeof (u_long);
-	  base += sizeof (u_long);
+	  base += sizeof (mg_u_long);
+	  base += sizeof (mg_u_long);
+	  base += sizeof (mg_u_long);
 
 	  /* Stem word */
@@ -419,5 +419,5 @@
 	    {
 	      /* Search the idx hash table for word */
-	      register unsigned long hashval, step;
+	      register mg_u_long hashval, step;
 	      register int hsize = IdxHashSize;
 	      HASH (hashval, step, word, hsize);
@@ -516,6 +516,6 @@
 	    {
 	      idx_hash_rec **ht;
-	      unsigned long size;
-	      unsigned long i;
+	      mg_u_long size;
+	      mg_u_long i;
 	      size = prime (IdxHashSize * 2);
 	      if (!(ht = Xmalloc (sizeof (idx_hash_rec *) * size)))
@@ -529,5 +529,5 @@
 		    register u_char *wptr;
 		    idx_hash_rec *ent;
-		    register unsigned long hashval, step;
+		    register mg_u_long hashval, step;
 		    
 		    wptr = IdxHashTable[i]->word;
@@ -568,5 +568,5 @@
 {
   char *FName;
-  unsigned long i, j, pos, First_word, num;
+  mg_u_long i, j, pos, First_word, num;
   struct stem_idx_header sih;
   u_char *buffer, *last_word = NULL;
@@ -636,5 +636,5 @@
   for (i = 0; i < IdxHashUsed; i++)
     {
-      register unsigned long extra, copy, suff;
+      register mg_u_long extra, copy, suff;
       register struct idx_hash_rec *ent = IdxHashTable[i];
 
@@ -765,5 +765,5 @@
 
   rewind (tmp);
-  sih.blocks_start = sih.index_chars + sizeof (u_long) + sizeof (sih) +
+  sih.blocks_start = sih.index_chars + sizeof (mg_u_long) + sizeof (sih) +
     sih.num_blocks * sizeof (pos);
   if (force)
@@ -784,5 +784,5 @@
 
   /* skip over the magic number */
-  fseek (idbi, sizeof (u_long), 0);
+  fseek (idbi, sizeof (mg_u_long), 0);
 
   /* [RPAP - Jan 97: Endian Ordering] */
@@ -821,5 +821,5 @@
   sdh.indexed |= 1 << (stem_method - 1);
   HTONUL(sdh.indexed);
-  fseek (idb, sizeof (u_long), 0);
+  fseek (idb, sizeof (mg_u_long), 0);
   fwrite ((char *) &sdh, sizeof (sdh), 1, idb);
   fclose (idb);
